Bug 822884 - RFE: Improve usability of setting up Base Dir when creating Drift Detection Definition
RFE: Improve usability of setting up Base Dir when creating Drift Detection D...
Status: NEW
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 08:11 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-18 08:11:40 EDT
Description of problem: I am trying to create several drift definitions on JBoss AS7 Standalone resource. When setting up 'Base Dir' one can pick serveral 'Value Context' when selecting 'fileSystem' value context, setting 'Value Name' is completely clear, it is a path. But when I pick pluginConfiguration or resourceConfiguration I have no clue what to put into 'Value Name' field. 

For exapmle in case of resourceConfiguration, docs says: "Resource configuration, which is a configuration property defined for the resource". That information is enough, but how can I guess configuration property names? If I go to EAP6 resource's Connection properties there is no way how to extract correct property names from that page. The only way I am aware of would be start CLI, retrieve my AS7 resource and pretty.print it's configuration.

I'd be glad when resourceConfiguration,pluginConfiguration or measurementTrait is selected as Value Context, value name field would pop-up with appropriate values.

Version-Release number of selected component (if applicable):
4.5-master

How reproducible:always


Additional info:
Comment 1 Mike Foley 2012-05-21 11:52:07 EDT
per BZ triage 5/21/2012 (asantos, loleary, ccrouch, mfoley)

Note You need to log in before you can comment on or make changes to this bug.